org.objenesis.strategy

## Class BaseInstantiatorStrategy

- java.lang.Object
- - org.objenesis.strategy.BaseInstantiatorStrategy

- All Implemented Interfaces:
    InstantiatorStrategy
  Direct Known Subclasses:
    SerializingInstantiatorStrategy, StdInstantiatorStrategy

      public abstract class BaseInstantiatorStrategy
      extends java.lang.Object
      implements InstantiatorStrategy

  Base `InstantiatorStrategy` class basically. Only implements `InstantiatorStrategy`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseInstantiatorStrategy()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.objenesis.strategy.InstantiatorStrategy

      `newInstantiatorOf`

- - ### Constructor Detail

    - #### BaseInstantiatorStrategy

          public BaseInstantiatorStrategy()